Bug 1122896 - openlmi-hardware: iSCSI disk exported as DiskDrive
Summary: openlmi-hardware: iSCSI disk exported as DiskDrive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openlmi-providers
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Peter Schiffer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 10:39 UTC by Jan Safranek
Modified: 2014-11-10 06:08 UTC (History)
8 users (show)

Fixed In Version: openlmi-storage-0.8.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:08:49 UTC


Attachments (Terms of Use)

Description Jan Safranek 2014-07-24 10:39:43 UTC
CIM_DiskDrive should be used only for physical disks, like ATA or SCSI. HW provider shows CIM_DiskDrive also from iSCSI drives, which are purely virtual.

Simple lsblk won't help here. Current blivet uses something like this:

# info is dictionary with udev attributes
path_components = info["ID_PATH"].split("-")

if info["ID_BUS"] == "scsi" and path_components[0] == "ip" and path_components[2] == "iscsi":
   # the device is iscsi

There is similar heuristics for FCoE.

Comment 1 Peter Schiffer 2014-09-03 17:49:15 UTC
lsblk provides TRAN attribute - device transport type; it looks like it could be used to detect iscsi, what do you think?

$ lsblk -dPpo NAME,TYPE,MODEL,TRAN
NAME="/dev/sda" TYPE="disk" MODEL="HGST HTS725050A7" TRAN="sata"
NAME="/dev/sdb" TYPE="disk" MODEL="S1 Mini         " TRAN="usb"
NAME="/dev/sdc" TYPE="disk" MODEL="VIRTUAL-DISK    " TRAN="iscsi"
NAME="/dev/sr0" TYPE="rom" MODEL="DVD-RW DS8A8SH  " TRAN="sata"

Comment 2 Jan Safranek 2014-09-04 07:50:45 UTC
(In reply to Peter Schiffer from comment #1)
> NAME="/dev/sdc" TYPE="disk" MODEL="VIRTUAL-DISK    " TRAN="iscsi"

That looks promising.

Comment 3 Peter Schiffer 2014-09-04 12:21:41 UTC
RB review: https://reviewboard-openlmi.rhcloud.com/r/2002/

Comment 4 Peter Schiffer 2014-09-04 13:16:29 UTC
Patch was pushed to upstream, will be available in next release of openlmi-providers in F21.

https://git.fedorahosted.org/cgit/openlmi-providers.git/commit/?id=2b48578527246e4f67d6f7cb8d6dfc6e7ce19447

Comment 5 Fedora Update System 2014-09-12 08:41:18 UTC
openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-10304/openlmi-providers-0.5.0-4.fc21,openlmi-networking-0.3.0-1.fc21,openlmi-storage-0.8.0-1.fc21

Comment 6 Fedora Update System 2014-09-12 17:47:51 UTC
Package openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlmi-storage-0.8.0-1.fc21 openlmi-networking-0.3.0-1.fc21 openlmi-providers-0.5.0-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10304/openlmi-providers-0.5.0-5.fc21,openlmi-networking-0.3.0-1.fc21,openlmi-storage-0.8.0-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-11-10 06:08:49 UTC
openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.